#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

#include "stuff.h"

static GtkWidget *dialog;

void defaultAction(GtkButton *button, gpointer user_data)
{
   if(dialog == NULL)
     return;
   gtk_widget_hide(dialog);
   gtk_widget_destroy(dialog);
}

void createDialogbox(char *line1, gpointer cancelAction, gpointer okAction)
{
   GtkWidget *button,*label;
   
   if(cancelAction == NULL)
     cancelAction = defaultAction;
   if(okAction == NULL)
     okAction = defaultAction;
   
   dialog = create_dialog1();
   gtk_widget_show(dialog);

   label =lookup_widget (GTK_WIDGET (dialog), "dialog_line1");
   if(line1 != NULL)
     gtk_label_set_text(GTK_LABEL(label), line1);
   
   button =lookup_widget (GTK_WIDGET (dialog), "dialog_cancel");
   gtk_signal_connect (GTK_OBJECT (button), "clicked",
		       GTK_SIGNAL_FUNC (cancelAction), NULL);
   
   button =lookup_widget (GTK_WIDGET (dialog), "dialog_ok");
   gtk_signal_connect (GTK_OBJECT (button), "clicked",
		       GTK_SIGNAL_FUNC (okAction), NULL);
}

